Subject: [xmpp] 3921bis: ThreadID security consideration

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 11 Aug 2010 10:57:28 -0600

Over at the XSF, folks are reviewing XEP-0201 ("Best Practices for
Message Threads") so that it can be stabilized before 3921bis moves
forward. As part of that review, we concluded that a security
consideration currently in XEP-0201 really belongs in 3921bis, to wit:

   An application that generates a ThreadID MUST ensure that it
   does not reveal identifying information about the entity (e.g.,
   the MAC address of the device on which the XMPP application is
   running).

If there are no objections, I'll find a place for that text in 3921bis
(probably in Section 5.2.5).

Peter

-- 
Peter Saint-Andre
https://stpeter.im/